require "rails_helper"

RSpec.describe StockJournalsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/stock_journals").to route_to("stock_journals#index")
    end

    it "routes to #new" do
      expect(:get => "/stock_journals/new").to route_to("stock_journals#new")
    end

    it "routes to #show" do
      expect(:get => "/stock_journals/1").to route_to("stock_journals#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/stock_journals/1/edit").to route_to("stock_journals#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/stock_journals").to route_to("stock_journals#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/stock_journals/1").to route_to("stock_journals#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/stock_journals/1").to route_to("stock_journals#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/stock_journals/1").to route_to("stock_journals#destroy", :id => "1")
    end

  end
end
